/*
This file is part of the Project JsBuild

JsBuild - http://projects.stueckseln.de/jsbuild/
JsBuild is a project released under the MIT license.


Copyright (c) 2009 Thomas Lehmann

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

package de.stueckseln.buildtools.utils;

import java.io.OutputStream;

/** Simple, common logger interface
  * 
  * @author Thomas Lehmann
  *
  */
public interface Logger {

	public static final int LOGLEVEL_DEBUG = 0;
	public static final int LOGLEVEL_INFO = 1;
	public static final int LOGLEVEL_WARNING = 2;
	public static final int LOGLEVEL_ERROR = 3;
	public static final int LOGLEVEL_FATAL = 4;
	
	public Logger setOutputStream(OutputStream os);
	
	public Logger setLogLevel(int level);
	public int getLogLevel();
	
	public Logger debug(String str);
	public Logger warning(String str);
	public Logger error(String str);
	public Logger fatal(String str);
	public Logger info(String str);
	
}
