/*
This file is part of the Project JsBuild

JsBuild - http://projects.stueckseln.de/jsbuild/
JsBuild is a project released under the MIT license.


Copyright (c) 2009 Thomas Lehmann

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

package de.stueckseln.buildtools.utils;


/** Path-builder interface for building path's like building stings with a StringBuffer 
  * 
  * @author Thomas Lehmann
  *
  */
public interface PathBuilder {
	final static char DEFAULT_SEPARATOR = '/';
	
	PathBuilder init();
	PathBuilder init(String path);
	
	PathBuilder setSeparator(char newSeparator);
	char getSeparator();
	
	
	String getPath();
	String getPath(boolean init);
	
	PathBuilder append(PathBuilder p);	
	PathBuilder append(String s);	
	PathBuilder append(char c);
	PathBuilder append(byte b);
	PathBuilder append(int i);
	PathBuilder append(long l);
	
	String toString();
}
